<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Palazio Lite
 */

get_header(); ?>

	<div id="site-main" class="content-home">

		<?php if ( is_home() && !is_paged() && is_front_page() ) { 
			if ( 1 == get_theme_mod( 'palazio_lite_front_featured_slider', 0 ) ) {
				get_template_part( 'template-parts/content', 'home-slider' );
			}
		}
		?>

		<div class="wrapper wrapper-main clearfix">
			
			<div class="wrapper-frame clearfix">
			
				<?php if ( is_home() && !is_paged() && is_front_page() ) { ?>

				<div id="hermes-home-widgets" class="clearfix">
				
					<?php if ( is_active_sidebar( 'homepage-welcome-1' ) ) : ?>
					<div class="site-home-welcome clearfix">
						<?php dynamic_sidebar( 'homepage-welcome-1' ); ?>
					</div><!-- .site-home-welcome -->
					<div class="divider divider-main">&nbsp;</div>
					<?php endif; ?>

					<?php
					if ( 1 == get_theme_mod( 'palazio_lite_front_featured_pages_columns', 1 ) ) {
						get_template_part( 'template-parts/content', 'home-pages' );
						echo '<div class="divider divider-main">&nbsp;</div>';
					}
					?>

				</div><!-- #hermes-home-widgets .clearfix -->
	
				<?php } ?>

				<main id="site-content" class="site-main" role="main">
				
					<div class="site-content-wrapper clearfix">
	
						<?php if ( have_posts() ) : $i = 0; ?>
						
						<?php if ( is_home() && ! is_front_page() ) : ?>
							<header>
								<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
							</header>
						<?php endif; ?>
	
						<?php if ( is_home() ) { ?><p class="widget-title"><?php esc_html_e('Recent Posts','palazio-lite'); ?></p><?php } ?>
						
						<ul id="recent-posts" class="hermesthemes-posts hermesthemes-posts-archive clearfix">
							
							<?php while (have_posts()) : the_post(); ?>
							
							<?php get_template_part( 'template-parts/content'); ?>
							
							<?php endwhile; ?>
							
						</ul><!-- .hermesthemes-posts .hermesthemes-posts-archive -->
	
						<?php 
						$args['prev_text'] = '<span class="nav-link-label"><span class="genericon genericon-previous"></span></span>' . __('Older Posts', 'palazio-lite');
						$args['next_text'] = __('Newer Posts', 'palazio-lite') . '<span class="nav-link-label"><span class="genericon genericon-next"></span></span>';
						the_posts_navigation($args); ?>
				
						<?php else : ?>
				
							<?php get_template_part( 'template-parts/content', 'none' ); ?>
				
						<?php endif; ?>
	
					</div><!-- .site-content-wrapper .clearfix -->
				
				</main><!-- #site-content -->
				
				<?php get_sidebar(); ?>
			
			</div><!-- .wrapper-frame -->
		
		</div><!-- .wrapper .wrapper-main -->

	</div><!-- #site-main -->

<?php get_footer(); ?>