<?php
/**
 * The template used for displaying featured pages on the Front Page.
 *
 * @package Palazio Lite
 */
?>

<?php
	$page_ids = array();
	$page_ids[] = absint(get_theme_mod( 'palazio_lite_featured_page_column_1', false ));
	$page_ids[] = absint(get_theme_mod( 'palazio_lite_featured_page_column_2', false ));
	$page_ids[] = absint(get_theme_mod( 'palazio_lite_featured_page_column_3', false ));
	$page_ids[] = absint(get_theme_mod( 'palazio_lite_featured_page_column_4', false ));

	$custom_loop = new WP_Query( array( 'post_type' => 'page', 'post__in' => $page_ids, 'nopaging' => 1, 'orderby' => 'menu_order', 'order' => 'ASC' ) );
?>

<?php if ( $custom_loop->have_posts() ) : $i = 0; ?>

	<div id="hermesthemes-featured-pages">
		<ul class="hermesthemes-featured-pages clearfix">
	
			<?php while ( $custom_loop->have_posts() ) : $custom_loop->the_post(); $i++; ?>

			<li class="hermesthemes-featured-page hermesthemes-featured-page-<?php echo esc_attr($i); ?>">
				<div class="hermesthemes-post-wrapper">
					<?php if ( has_post_thumbnail() ) : ?>
					<div class="post-cover-wrapper">
						<div class="post-cover">
							<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
							<?php the_post_thumbnail(); ?>
							</a>
						</div><!-- .post-cover -->
					</div><!-- .post-cover-wrapper -->
					<?php endif; ?>
					<div class="post-preview">
						<div class="post-preview-wrapper">
							<?php the_title( sprintf( '<h2 class="title-post"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
							<p class="post-excerpt"><?php echo wp_kses_post(get_the_excerpt()); ?></p>
						</div><!-- .post-preview-wrapper -->
					</div><!-- .post-preview -->
				</div><!-- .hermesthemes-post-wrapper -->
			</li><!-- .hermesthemes-featured-page .hermesthemes-featured-page-<?php echo esc_attr($i); ?> -->

            <?php endwhile; ?>
	
		</ul><!-- .hermesthemes-featured-pages -->

	</div><!-- #hermesthemes-featured-pages -->

<?php endif; ?>