<?php
/**
 * The template used for displaying featured posts on the Front Page.
 *
 * @package Cityguide
 */
	
	$attachments_num = 0;

	if ( null !== (absint(get_theme_mod( 'palazio_lite_slider_page_1', false ))) && is_numeric(get_theme_mod( 'palazio_lite_slider_page_1', false ))) {

		$args = array(
			'order'          => 'ASC',
			'orderby'          => 'menu_order',
			'post_type'      => 'attachment',
			'post_parent'    => absint(get_theme_mod( 'palazio_lite_slider_page_1', false )),
			'post_mime_type' => 'image',
			'post_status'    => 'any',
			'numberposts'    => 5
		);
		
		$attachments = get_posts($args);
		$attachments_num = count($attachments);

	}

	$i = 0;
	if ($attachments_num > 0) { ?>

	<div class="wrapper">
		<div id="hermesthemes-featured-posts-slider">
			<ul class="hermesthemes-posts slides clearfix">
				<?php foreach ($attachments as $attachment) { ?>
				<li class="slide"><?php echo wp_get_attachment_image( $attachment->ID, 'palazio_lite-large-thumbnail' ); ?></li><!-- .slide -->
				<?php } ?>
			</ul><!-- .hermesthemes-posts .slides .clearfix-->
			<?php wp_reset_postdata(); ?>
		</div><!-- #hermesthemes-featured-posts-slider -->
	</div><!-- .wrapper -->

	<?php } else { ?>

		<?php if ( current_user_can( 'publish_posts' ) && is_customize_preview() ) { ?>

		<div id="hermesthemes-featured-posts">

			<div class="hermesthemes-page-intro hermesthemes-nofeatured">
				<h1 class="title-page"><?php esc_html_e( 'No Images to Display', 'palazio-lite' ); ?></h1>
				<div class="taxonomy-description">

					<p><?php printf( esc_html__( 'This section will display images that are uploaded to a static page. Configure (or disable) it via the Customizer.', 'palazio-lite' ) ); ?><br>
					<?php printf( esc_html__( 'This section will display images that are uploaded to a static page. Configure (or disable) it via the Customizer.', 'palazio-lite' ) ); ?></p>
					<p><strong><?php printf( esc_html__( 'Important: This message is NOT visible to site visitors, only to admins and editors.', 'palazio-lite' ) ); ?></strong></p>

				</div><!-- .taxonomy-description -->
			</div><!-- .hermesthemes-page-intro .hermesthemes-nofeatured -->

		</div><!-- #hermesthemes-featured-posts -->

		<?php } ?>
	<?php } ?>