<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Palazio Lite
 */

?>

<?php global $palazio_lite_i; $palazio_lite_i++; ?>

<?php $classes = array('hermesthemes-post','hermesthemes-post-archive','hermesthemes-post-'.$palazio_lite_i, 'clearfix'); ?>

<li <?php post_class($classes); ?>>

	<article id="post-<?php the_ID(); ?>">
	
		<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-cover-wrapper">
			<div class="post-cover">
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail(); ?>
				</a>
			</div><!-- .post-cover -->
		</div><!-- .post-cover-wrapper -->
		<?php endif; ?>
	
		<div class="post-preview">
			<?php the_title( sprintf( '<h2 class="title-post"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			<p class="post-meta">
				<span class="posted-on"><?php esc_html_e('Published on','palazio-lite'); ?> <time class="entry-date published" datetime="<?php echo get_the_date('c'); ?>"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php echo get_the_date(); ?></a></time></span>
				<span class="post-meta-category"><?php esc_html_e('In','palazio-lite'); ?><?php the_category(esc_html_x( ', ', 'Used on archive and post pages to separate multiple categories.', 'palazio-lite' )); ?></span>
			</p><!-- .post-meta -->
			<p class="post-excerpt"><?php echo wp_kses_post(get_the_excerpt()); ?></p>
		</div><!-- .post-preview -->
	
	</article><!-- #post-<?php the_ID(); ?> -->

</li><!-- .hermesthemes-post .hermesthemes-post-archive .clearfix -->

<?php if ( $palazio_lite_i == 2) { $palazio_lite_i = 0; } ?>